Subject: Re: [PATCH] pktgen: reduce stack usage

From: "Randy.Dunlap" <[email-masked]>
Date: Fri, 18 Feb 2005 14:20:40 -0800

Francois Romieu wrote:
> Randy.Dunlap <[email-masked]> :
> 
>>(resend)
>>Any comments this time?
> 
> 
> Did I miss a simultaneous use of both buffers or could it be possible to
> save an extra IP_NAME_SZ bytes of data with an evil ugly union ?

That's probably doable, I'll double-check it and modify the patch...

> Btw, does anyone intend to fix the use of sleepable functions in 
> proc_thread_write() with spinlock ("thread_lock") held or should
> I allocate it some cycles ?

-- 
~Randy